Package com.castlabs.android.player.models.mpd

# Class EventMessage.Builder

java.lang.Object
com.castlabs.android.player.models.mpd.EventMessage.Builder

Enclosing class:
  `EventMessage`

public static class EventMessage.Builder extends Object
Builder for creating EventMessage instances.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Creates a new Builder for EventMessage.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventMessage.Builder`
  `durationMs(long durationMs)`
  Sets the duration of the event in milliseconds.
  `EventMessage`
  `get()`
  Builds a new EventMessage instance.
  `EventMessage.Builder`
  `id(long id)`
  Sets the instance identifier.
  `EventMessage.Builder`
  `messageData(byte[] messageData)`
  Sets the body of the message.
  `EventMessage.Builder`
  `schemeIdUri(String schemeIdUri)`
  Sets the message scheme.
  `EventMessage.Builder`
  `value(String value)`
  Sets the value for the event.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()
    Creates a new Builder for EventMessage.

- ## Method Details

  - ### schemeIdUri

    @NonNull public EventMessage.Builder schemeIdUri(@NonNull String schemeIdUri)
    Sets the message scheme.
    Parameters:
      `schemeIdUri` - The message scheme.
    Returns:
      This builder.

  - ### value

    @NonNull public EventMessage.Builder value(@NonNull String value)
    Sets the value for the event.
    Parameters:
      `value` - The value for the event.
    Returns:
      This builder.

  - ### durationMs

    @NonNull public EventMessage.Builder durationMs(long durationMs)
    Sets the duration of the event in milliseconds.
    Parameters:
      `durationMs` - The duration of the event in milliseconds.
    Returns:
      This builder.

  - ### id

    @NonNull public EventMessage.Builder id(long id)
    Sets the instance identifier.
    Parameters:
      `id` - The instance identifier.
    Returns:
      This builder.

  - ### messageData

    @NonNull public EventMessage.Builder messageData(@Nullable byte[] messageData)
    Sets the body of the message.
    Parameters:
      `messageData` - The body of the message.
    Returns:
      This builder.

  - ### get

    @NonNull public EventMessage get()
    Builds a new EventMessage instance.
    Returns:
      A new EventMessage instance.